import { Scene } from './../components/scene/scene';
export declare class PackagesManager {
    private readonly scene;
    private static Bin?;
    private static get CmdInstall();
    private static get CmdUpgrade();
    private static get CmdUninstall();
    static get Dependencies(): any;
    private readonly logger;
    constructor(scene: Scene);
    install(...packages: string[]): Promise<void>;
    upgrade(...packages: string[]): Promise<void>;
    uninstall(...packages: string[]): Promise<void>;
    clean(): Promise<string[]>;
    getInstalledPackages(...packages: string[]): string[];
    getNotInstalledPackages(...packages: string[]): string[];
    private exec;
}
